Subject: Re: [PATCH 1/3] gnu: Add python-sgmllib3k.

From: Vinicius Monego <[email-masked]>
Date: Fri, 05 Nov 2021 15:35:26 +0000

Hi,

I added this patch in 51314, and now I also noticed that it was
submitted even earlier in 50853. Maybe we should review that one first?

Em qua, 2021-11-03 às 12:37 -0400, [email-masked] escreveu:
> From: Morgan Smith <[email-masked]>
> 
> * gnu/packages/python-xyz.scm (python-sgmllib3k): New variable.
> ---
>  gnu/packages/python-xyz.scm | 23 +++++++++++++++++++++++
>  1 file changed, 23 insertions(+)
> 
> diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-
> xyz.scm
> index 32d6b403d4..d2aca67aca 100644
> --- a/gnu/packages/python-xyz.scm
> +++ b/gnu/packages/python-xyz.scm
> @@ -27643,3 +27643,26 @@ (define-public python-ijson
>       "Ijson is an iterative JSON parser with standard Python
> iterator
>  interfaces.")
>      (license license:bsd-3)))
> +
> +(define-public python-sgmllib3k
> +  (package
> +    (name "python-sgmllib3k")
> +    (version "1.0.0")
> +    (source
> +      (origin
> +        (method url-fetch)
> +        (uri (pypi-uri "sgmllib3k" version))
> +        (sha256
> +          (base32
> "1s8jm3dgqabgf8x96931scji679qkhvczlv3qld4qxpsicfgns3q"))))

Indentation nitpick here in the source.

> +    (build-system python-build-system)
> +    ;; Requires a test.html input that is not supplied
> +    (arguments
> +     `(#:tests? #f))
> +    (home-page "https://pypi.org/project/sgmllib3k/")
> +    ;; Actual homepage seems to be down
> +    ;; (home-page "https://hg.hardcoded.net/sgmllib")
> +    (synopsis "Python 3 port of sgmllib")
> +    (description "A quick, dirty, unmaintained port of sgmllib to
> Python 3.
> +It is used parse text files formatted in @acronym{SGML,Standard
> Generalized
> +Mark-up Language}.")

I think this description doesn't qualify as a full sentence.

> +    (license license:bsd-3)))